Distribution update fails

Bug #84961 reported by Simon Scullion on 2007-02-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: update-manager

Via the software update notification, I get package updates, but there are also some distribution updates identified. The package updates install OK, then I am prompted to run a distributiuon update.

When accepting, I get the "preparing upgrade" dialog, then the following error:

Could not calculate the upgrade.
An unresolvable problem occurred while calculating the upgrade.
Please report this bug against the 'update-manager' package and include the files in /var/log/dist-upgrade/ in the bugreport.

I'm not sure how to go about including the files here. There are 3, apt.log, main.log and term.log (which is empty).

The last few lines of apt.log look interesting:

MarkUpgrade() called on a non-upgrable pkg: 'ubuntu-desktop'
The application 'update-manager' lost its connection to the display :0.0;
most likely the X server was shut down or you killed/destroyed
the application.

I also have a screenshot of the above error. I can provide them all if necessary.

I hope that is enough info, let me know if more is needed, this is my first bug report!

Simon Scullion (simonscullion) wrote :
Simon Scullion (simonscullion) wrote :
Michael Vogt (mvo) wrote :

Thanks for your bugreport.

It looks like the nvidia-glx and nvidia-kernel-1.0.9629 was installed from a 3rd party source that is not compatible with the ubuntu version numbering schema. Could you please add your sources.list?

You can try to remove the nvidia-glx and nvidia-kernel-1.0.9629 packages and install the ones from ubuntu instead. But be careful you may end up on a shell without X.

Cheers,
 Michael

Changed in update-manager:
status: Unconfirmed → Needs Info
Simon Scullion (simonscullion) wrote :

As suggested I removed the nvidia-glx and nvidia-kernel-1.0.9629 packages, and although wasn't lucky and ended up without X (I don't know how that could have been avoided) I have managed to reconfigure things with the ubuntu packages. Software update has run a few times now without the error. Thanks for the help, and sorry for the hassle!

Changed in update-manager:
status: Needs Info → Rejected
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers